Bug 431445 - can't connect to wifi network
can't connect to wifi network
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-04 11:00 EST by Martin Jürgens
Modified: 2009-01-09 00:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:55:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Jürgens 2008-02-04 11:00:41 EST
Description of problem:
I can not connect to my open wifi network using NetworkManager. I have the
following wlan device: Intel Corporation PRO/Wireless 4965 AG or AGN Network
Connection

Version-Release number of selected component (if applicable):
kernel-2.6.23.14-107.fc8 NetworkManager-0.7.0-0.6.7.svn3204.fc8

How reproducible:
Every time

Steps to Reproduce:
1. Try to connect to an open wifi network
2.
3.
  
Actual results:
Does not connect, falls back, asks for WEP key

Expected results:
Should connect

Additional info:
When I right click on NetworkManager, untick "activate wlan" and retick it
again, I am able to connect.

this is the log:

Feb  4 16:49:01 jedora-laptop NetworkManager: <info>  User request for
activation of wlan0.
Feb  4 16:49:01 jedora-laptop NetworkManager: <info>  Activating device wlan0
Feb  4 16:49:01 jedora-laptop NetworkManager: <info>  Activation (wlan0) Stage 1
of 5 (Device Prepare) scheduled...
Feb  4 16:49:01 jedora-laptop NetworkManager: <info>  Activation (wlan0) Stage 1
of 5 (Device Prepare) started...
Feb  4 16:49:01 jedora-laptop NetworkManager: <info>  Activation (wlan0) Stage 2
of 5 (Device Configure) scheduled...
Feb  4 16:49:01 jedora-laptop NetworkManager: <info>  Activation (wlan0) Stage 1
of 5 (Device Prepare) complete.
Feb  4 16:49:01 jedora-laptop NetworkManager: <info>  Activation (wlan0) Stage 2
of 5 (Device Configure) starting...
Feb  4 16:49:01 jedora-laptop NetworkManager: <info>  Activation
(wlan0/wireless): connection 'Auto kempanet' requires no security.  No secrets
needed.
Feb  4 16:49:01 jedora-laptop NetworkManager: <info>  Config: added 'ssid' value
'kempanet'
Feb  4 16:49:01 jedora-laptop NetworkManager: <info>  Config: added 'key_mgmt'
value 'NONE'
Feb  4 16:49:01 jedora-laptop NetworkManager: <info>  Activation (wlan0) Stage 2
of 5 (Device Configure) complete.
Feb  4 16:49:01 jedora-laptop NetworkManager: <info>  Config: set interface
ap_scan to 1
Feb  4 16:49:01 jedora-laptop NetworkManager: <info>  (wlan0) Supplicant
interface state change: 0 -> 2
Feb  4 16:49:04 jedora-laptop NetworkManager: <info>  (wlan0) Supplicant
interface state change: 2 -> 0
Feb  4 16:49:04 jedora-laptop kernel: iwl4965: Error sending REPLY_RXON_ASSOC:
Already sending a host command
Feb  4 16:49:04 jedora-laptop NetworkManager: <info>  (wlan0) Supplicant
interface state change: 0 -> 4
Feb  4 16:49:04 jedora-laptop NetworkManager: <info>  (wlan0) Supplicant
interface state change: 4 -> 7
Feb  4 16:49:04 jedora-laptop NetworkManager: <info>  Activation
(wlan0/wireless) Stage 2 of 5 (Device Configure) successful.  Connected to
wireless network 'kempanet'.
Feb  4 16:49:04 jedora-laptop NetworkManager: <info>  Activation (wlan0) Stage 3
of 5 (IP Configure Start) scheduled.
Feb  4 16:49:04 jedora-laptop NetworkManager: <info>  Activation (wlan0) Stage 3
of 5 (IP Configure Start) started...
Feb  4 16:49:04 jedora-laptop NetworkManager: <info>  Activation (wlan0)
Beginning DHCP transaction.
Feb  4 16:49:04 jedora-laptop kernel: ADDRCONF(NETDEV_CHANGE): wlan0: link
becomes ready
Feb  4 16:49:04 jedora-laptop NetworkManager: <info>  dhclient started with pid 2869
Feb  4 16:49:04 jedora-laptop NetworkManager: <info>  Activation (wlan0) Stage 3
of 5 (IP Configure Start) complete.
Feb  4 16:49:04 jedora-laptop dhclient: Internet Systems Consortium DHCP Client
V3.0.6-Fedora
Feb  4 16:49:04 jedora-laptop dhclient: Copyright 2004-2007 Internet Systems
Consortium.
Feb  4 16:49:04 jedora-laptop dhclient: All rights reserved.
Feb  4 16:49:04 jedora-laptop dhclient: For info, please visit
http://www.isc.org/sw/dhcp/
Feb  4 16:49:04 jedora-laptop dhclient: 
Feb  4 16:49:04 jedora-laptop dhclient: wmaster0: unknown hardware address type 801
Feb  4 16:49:04 jedora-laptop NetworkManager: <info>  DHCP: device wlan0 state
changed normal exit -> preinit
Feb  4 16:49:04 jedora-laptop dhclient: wmaster0: unknown hardware address type 801
Feb  4 16:49:04 jedora-laptop dhclient: Listening on LPF/wlan0/00:13:e8:5f:1a:59
Feb  4 16:49:04 jedora-laptop dhclient: Sending on   LPF/wlan0/00:13:e8:5f:1a:59
Feb  4 16:49:04 jedora-laptop dhclient: Sending on   Socket/fallback
Feb  4 16:49:04 jedora-laptop dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 6
Feb  4 16:49:05 jedora-laptop avahi-daemon[1870]: Registering new address record
for fe80::213:e8ff:fe5f:1a59 on wlan0.*.
Feb  4 16:49:09 jedora-laptop ntpd[1723]: Listening on interface #4 wlan0,
fe80::213:e8ff:fe5f:1a59#123 Enabled
Feb  4 16:49:10 jedora-laptop dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 9
Feb  4 16:49:19 jedora-laptop dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 16
Feb  4 16:49:35 jedora-laptop dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 7
Feb  4 16:49:42 jedora-laptop dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 9
Feb  4 16:49:49 jedora-laptop NetworkManager: <info>  Device 'wlan0' DHCP
transaction took too long (>45s), stopping it.
Feb  4 16:49:49 jedora-laptop NetworkManager: <info>  wlan0: canceled DHCP
transaction, dhclient pid 2869
Feb  4 16:49:49 jedora-laptop NetworkManager: <info>  Activation (wlan0) Stage 4
of 5 (IP Configure Timeout) scheduled...
Feb  4 16:49:49 jedora-laptop NetworkManager: <info>  Activation (wlan0) Stage 4
of 5 (IP Configure Timeout) started...
Feb  4 16:49:49 jedora-laptop NetworkManager: <info>  Activation (wlan0) failed
for access point (kempanet)
Feb  4 16:49:49 jedora-laptop NetworkManager: <info>  Marking connection 'Auto
kempanet' invalid.
Feb  4 16:49:49 jedora-laptop NetworkManager: <info>  Activation (wlan0) failed.
Feb  4 16:49:49 jedora-laptop NetworkManager: <info>  Deactivating device wlan0.
Feb  4 16:49:49 jedora-laptop avahi-daemon[1870]: Withdrawing address record for
fe80::213:e8ff:fe5f:1a59 on wlan0.
Feb  4 16:49:49 jedora-laptop NetworkManager: <info>  Activation (wlan0) Stage 4
of 5 (IP Configure Timeout) complete.
Comment 1 Bug Zapper 2008-11-26 04:41:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 00:55:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.